Core - Task # 62852

Status: Resolved Priority: Must have
Author: Anja Leichsenring Category: Code Cleanup
Created: 2014-11-11 Assigned To:

Updated: 2014-11-12 Due date:

TYPO3 Version: 7

PHP Version:

Complexity: no-brainer

Sprint Focus:

Subject: Bring back class aliases to prevent Fatal Error

Description

In an early state of the bootstrap all ext_autoload files are processed. During the cleanup of class aliasses ext_Mgm and t3lib_div are

removed. This causes in instances without enabled sysext:compatibility6 a Fatal Error, that results in the meanwhile well known

Exception 'could not aquire lock file.". In order to mitigate this situation, we will bring back those two class aliasses and will keep them

in the core for the time being.

These two classes are exceptions and there shouldn't be added more than that without very good reasons.

Related issues:

related to Core - Bug # 61900: ClassLoader: Stalled Lock file if ClassLoader ... Resolved 2014-09-26

Associated revisions

Revision 134cae7e - 2014-11-12 15:19 - Christian Kuhn

[TASK] Bring back t3lib_extMgm class alias

t3lib_extMgm::extPath() is used in ext_autoload.php of lots of third
party extensions. Removing this alias lets the core fatal, resulting

in a stalled lock file in early bootstrap. This gives quite some hassle.

To mitigate, t3lib_extMgm class alias is exceptionally added again.

Resolves: #62852

Releases: master

Change-Id: 1309aaae067ec4a430ebb8985554cb6750eb8ec09
Reviewed-on: http://review.typo3.org/34014

Reviewed-by: Georg Ringer <georg.ringer@gmail.com>

Tested-by: Georg Ringer <georg.ringer@gmail.com>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-11-11 13:17 - Anja Leichsenring

- Subject changed from Bring back class aliasses to prevent Fatal Error to Bring back class aliases to prevent Fatal Error

#2 - 2014-11-11 13:40 - Christian Kuhn
- Description updated

#3 - 2014-11-11 13:42 - Christian Kuhn
- Description updated
#4 - 2014-11-12 15:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34014

#5 - 2014-11-12 15:31 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:134cae7eb3f6d1922ae47cfb1706ca0b3413dald.
